clients/urls.py
from django.urls import path
from django.utils.translation import gettext_lazy as _

from . import views

urlpatterns = [
    path('<int:pk>/', views.ClientUpdate.as_view(),
         name='client-update'),
    path(_('<int:pk>/delete/'), views.ClientDelete.as_view(),
         name='client-delete'),
    path('', views.clients_view, name='clients'),
]

programari/urls.py
from django.contrib import admin
from django.urls import path, include
from django.conf.urls.i18n import i18n_patterns
from django.utils.translation import gettext_lazy as _

urlpatterns = []

urlpatterns += i18n_patterns(
    path('admin/', admin.site.urls),
    path('', include(('homepage.urls', 'homepage'),
                     namespace='homepage')),
    path(_('providers/'), include(('providers.urls', 'providers'),
                                  namespace='providers')),
    path(_('services/'), include(('services.urls', 'services'),
                                 namespace='services')),
    path(_('clients/'), include(('clients.urls', 'clients'),
                                namespace='clients')),
    path(_('accounts/'), include(('accounts.urls', 'accounts'),
                                 namespace='accounts'))
)

clients/models.py
from django.db import models

# Create your models here.

clients/views.py
from django.shortcuts import render
from django.views.generic import UpdateView, DeleteView
from django.urls import reverse_lazy

from homepage.models import Client
from homepage.forms import ClientForm


def clients_view(request):

    user = request.user
    print(user.client_set.all())

    clients = user.client_set.all()

    return render(request, 'clients/clients.html',
                  {'clients': clients})


class ClientUpdate(UpdateView):
    model = Client
    template_name = 'clients/client_form.html'
    form_class = ClientForm
    user = None

    def get_form_kwargs(self):
        kwargs = super(ClientUpdate, self).get_form_kwargs()
        kwargs.update({'user': self.request.user})
        return kwargs


class ClientDelete(DeleteView):
    model = Client
    success_url = reverse_lazy('clients:clients')

clients/templates/clients/client_form.html
{% extends 'homepage/base.html' %} {% block content %}
  <!-- Translations -->
  {% load i18n %}

<div class="row">
  <div class="col-md-2 mx-2 my-2">
    <h2>{% trans "Client" %}</h2>
  </div>
</div>

<div class="col-12 col-md-9 col-xl-8 py-md-3 pl-md-5">
  <form class="form-horizontal" id="add-client-form" method="POST" action="" role="form">
    {% csrf_token %} {% include 'homepage/form-template.html' %}
    <button class="btn btn-success" style="width:100px" type="submit">OK</button>
  </form>
</div>

{% endblock %}

clients/templates/clients/clients.html
{% extends 'homepage/base.html' %} {% block content %} {% load static %}
  <!-- Translations -->
  {% load i18n %}

<div class="row">
  <div class="col-md-2 mx-2 my-2">
    <h2>{% trans "Clients" %}</h2>
  </div>
</div>

{% if clients %} {% for client in clients %}
<ul class="offset-md-2">
  <li><a href="{% url 'clients:client-update' client.id %}">{{ client }}</a>
    <a class="mx-2" href="{% url 'clients:client-delete' client.pk %}">
      <i class="far fa-trash-alt fa-fw" id="trash-img"></i>
    </a>
  </li>
</ul>
{% endfor %} {% endif %} {% endblock %}